package com.quant.entity;

/**
 * CommonCategory entity. @author MyEclipse Persistence Tools
 */

public class CommonCategory implements java.io.Serializable {

	// Fields

	private Integer id;
	private Integer categoryId;
	private String title;
	private String description;
	private Integer status;
	private Integer multiHierarchy;

	// Constructors

	/** default constructor */
	public CommonCategory() {
	}

	/** full constructor */
	public CommonCategory(Integer categoryId, String title, String description,
			Integer status, Integer multiHierarchy) {
		this.categoryId = categoryId;
		this.title = title;
		this.description = description;
		this.status = status;
		this.multiHierarchy = multiHierarchy;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getCategoryId() {
		return this.categoryId;
	}

	public void setCategoryId(Integer categoryId) {
		this.categoryId = categoryId;
	}

	public String getTitle() {
		return this.title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getMultiHierarchy() {
		return this.multiHierarchy;
	}

	public void setMultiHierarchy(Integer multiHierarchy) {
		this.multiHierarchy = multiHierarchy;
	}

}